> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.endorlabs.com/feedback

```json
{
  "path": "/developers-api/rest-api/using-the-rest-api/advanced-use-cases/index",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Advanced use cases

> Examples of advanced use cases when interacting with the Endor Labs REST API.

<CardGroup cols={3}>
  <Card title="Using the query service" icon="magnifying-glass" href="/developers-api/rest-api/using-the-rest-api/advanced-use-cases/query-service">
    Learn how to use the Query Service for advanced use cases with the Endor Labs REST API.
  </Card>

  <Card title="Using saved queries" icon="bookmark" href="/developers-api/rest-api/using-the-rest-api/advanced-use-cases/saved-queries">
    Learn how to use saved queries for interacting with the Endor Labs REST API.
  </Card>

  <Card title="Using Audit Log API" icon="clipboard-list" href="/developers-api/rest-api/using-the-rest-api/advanced-use-cases/audit-log">
    Learn how to use the audit log API in Endor Labs.
  </Card>
</CardGroup>
